FIIGN(1)

NAME
fiign - low-level manipulation of masks associated to FITS images

SYNOPSIS
fiign [options and operations] [<input>] [-o|--output <output>]

DESCRIPTION
In the context of FITS image data processing, "masks" are per pixel associated meta-data, representing the state of the given pixel. In general, pixels considered to be somehow "bad" are marked with these masks in order to exclude or use only with caution during further processing. These masks can either mark the initial state of the given pixels (e.g. pixels can be marked as hot or bad pixels, which describes the detector itself and not the individual scientific or calibration frames), or masks can be added during the subsequent steps of the processing (e.g. saturated pixels, "outer" pixels). The purpose of the `fiign` program is to give a low-level access to these masks. Although the operations on the images automatically yields the respective operations on the masks (e.g. if an image is transformed or trimmed, the associated mask will also be transformed or trimmed with the same geometry), with this program the masks can be manipulated arbitrarily.

OPTIONS

  General options:

-h, --help
    Gives general summary about the command line options.

--long-help, --help-long
    Gives a detailed list of command line options.

--wiki-help, --help-wiki, --mediawiki-help, --help-mediawiki
    Gives a detailed list of command line options in Mediawiki format.

--version, --version-short, --short-version
    Gives some version information about the program.

-i, --input <image file>
    Name of the input FITS image file.

-o, --output <image file>
    Name of the output FITS image file (can be the same as the input image file).

  Generic pixel masking options:

-n, --ignore-nonpositive
    Mask pixels with non-positive values.

-g, --ignore-negative
    Mask pixels with negative values.

-z, --ignore-zero
    Mask pixels with a value of zero.

--ignore-mask
    Completely ignore mask associated to the input image.

-M, --input-mask <image file>
    Input mask file to co-add to output image mask.

-a, --apply-mask
    Apply the mask to the image, i.e. set the pixel values with non-null mask to be zero (by default, or any other value specified by "-m|--mask-value").

-m, --mask-value <value>
    Override the default pixel value (zero) during explicit marking of masked pixels (see also "-a|--apply-mask").

  Marking saturated pixels:

-s <saturation-level>
    Saturation level.

-S <image file>
    Image containing saturation level on a per pixel basis.

--leak-left-right, --leak-lower-upper, --leak-any
    Readout direction, i.e. orientation of "blooming" stripes.

  Mask conversion and expansion:

--convert <match>:<value>:<reset>:<set>
    Convert masks: from a mask which matches to the <match>:<value> pair, i.e. the masks with the type of <match> have a value of <value> the masks specified by <reset> are cleared and the masks specified by <set> are set. The <match>, <value>, <reset> and <set> tags are comma-separated list of mask names (see below).

-x, --expand <size>
    Expands the mask with the specified size. Applied after all of the previous steps were performed.

  Additional mask layers:

-q, --mask-block block:<mask>:<x1>,<y1>:<x2>,<y2>
    Add a rectangular masked area with the specified mask <mask> and with the specified coordinates (<x1>,<y1>: lower-left corner, <x2>,<y2>: upper-right corner, inclusive).

-q, --mask-block circle:<mask>:<xc>,<yc>:<radius>
    Add a circular masked area with the specified mask <mask> and with the specified cenroid coordinates <xc>,<yc> and radius <radius>.

-q, --mask-block pixel:<mask>:<x>,<y>
    Add a masked pixel with the specified mask <mask> to the specified coordinates <x>,<y>.

-q, --mask-block line:<mask>:<x1>,<y1>:<x2>,<y2>
    Add a masked line with the specified mask <mask> connecting the points <x1>,<y1> and <x2>,<y2>.

  Mask names:

none
    no mask at all

clear
    same as "none"

fault
    mask for faulty pixels

hot mask for hot pixels

cosmic
    mask for marking cosmic pixels

outer
    pixels originating from out of image areas

oversaturated
    oversaturated pixels

bloomed
    "bloomed" pixels (i.e. not oversaturated but neighbouring pixel(s) may be so)

saturated
    oversaturated or bloomed pixels

interpolated
    pixels having an interpolated value (e.g. hot or cosmic pixels are replaced by the average value of the surrounding pixels).

REPORTING BUGS
Report bugs to <apal@szofi.net>, see also https://fitsh.net/.

COPYRIGHT
Copyright © 1996, 2002, 2004-2008, 2010-2016, 2018-2020; Pal, Andras <apal@szofi.net>